Qt 5.11 | Qt Multimedia | C++ Classes | QCameraZoomControl

Qt 5.11.3 Reference Documentation

# QCameraZoomControl Class

The QCameraZoomControl class supplies control for optical and digital camera zoom. More...

Header: | #include <QCameraZoomControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QCameraZoomControl()
virtual qreal | currentDigitalZoom() const = 0
virtual qreal | currentOpticalZoom() const = 0
virtual qreal | maximumDigitalZoom() const = 0
virtual qreal | maximumOpticalZoom() const = 0
virtual qreal | requestedDigitalZoom() const = 0
virtual qreal | requestedOpticalZoom() const = 0
virtual void | zoomTo(qreal optical, qreal digital) = 0

## Signals

void | currentDigitalZoomChanged(qreal digitalZoom)
void | currentOpticalZoomChanged(qreal opticalZoom)
void | maximumDigitalZoomChanged(qreal)
void | maximumOpticalZoomChanged(qreal)
void | requestedDigitalZoomChanged(qreal digitalZoom)
void | requestedOpticalZoomChanged(qreal opticalZoom)

## Protected Functions

| QCameraZoomControl(QObject *parent = nullptr)

## Macros

| QCameraZoomControl_iid

## Detailed Description

The QCameraZoomControl class supplies control for optical and digital camera zoom.

The interface name of QCameraZoomControl is `org.qt-project.qt.camerazoomcontrol/5.0` as defined in QCameraZoomControl_iid.

See also QMediaService::requestControl() and QCamera.

## Member Function Documentation

### `[protected]` QCameraZoomControl::QCameraZoomControl(QObject *parent = nullptr)

Constructs a camera zoom control object with parent.

### `[virtual]` QCameraZoomControl::~QCameraZoomControl()

Destruct the camera zoom control object.

### `[pure virtual]` qreal QCameraZoomControl::currentDigitalZoom() const

### `[signal]` void QCameraZoomControl::currentDigitalZoomChanged(qreal digitalZoom)

### `[pure virtual]` qreal QCameraZoomControl::currentOpticalZoom() const

### `[signal]` void QCameraZoomControl::currentOpticalZoomChanged(qreal opticalZoom)

### `[pure virtual]` qreal QCameraZoomControl::maximumDigitalZoom() const

### `[signal]` void QCameraZoomControl::maximumDigitalZoomChanged(qreal)

### `[pure virtual]` qreal QCameraZoomControl::maximumOpticalZoom() const

### `[signal]` void QCameraZoomControl::maximumOpticalZoomChanged(qreal)

### `[pure virtual]` qreal QCameraZoomControl::requestedDigitalZoom() const

### `[signal]` void QCameraZoomControl::requestedDigitalZoomChanged(qreal digitalZoom)

### `[pure virtual]` qreal QCameraZoomControl::requestedOpticalZoom() const

### `[signal]` void QCameraZoomControl::requestedOpticalZoomChanged(qreal opticalZoom)

### `[pure virtual]` void QCameraZoomControl::zoomTo(qreal optical, qreal digital)

## Macro Documentation

### QCameraZoomControl_iid

`org.qt-project.qt.camerazoomcontrol/5.0`

Defines the interface name of the QCameraZoomControl class.